Epoch timestamp for the transaction date and time. If both of the fields are provided, transactionTimestamp will be used.
POST
/v1/transactions
Needs an API key with the write scope.
Parameters
-
accountIdstring Required32-character unique ID of the account that the transaction belongs.
-
descriptionstring RequiredDescription of the transaction
More parameters
-
transactionTimestampinteger -
transactionDatestringDatetime with timezone for the transaction date and time.
-
transactionTypestringType of the transaction. If it is an incoming money, use
Money In; if it is an outgoing money, useMoney Out -
mathcingEntityIdstring32-character unique ID of the customer or supplier of the transaction's sender or receiver.
-
mathcingEntityCodestringUser-generated custom customer or supplier code of the transaction's sender or receiver.
-
amountnumberAmount of the transaction. It should be a positive decimal number.
eg. 1059.34
Returns
The created transaction.
-
401 - No usable
Authorization: Bearer {token}header (1002). -
403 - The access token is unknown, or lacks the scope this route needs (1001).